Bug 58278 - /usr/sbin/pwck and /usr/sbin/grpck dumps core on long input
/usr/sbin/pwck and /usr/sbin/grpck dumps core on long input
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: shadow-utils (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
http://www.securityfocus.com/archive/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-12 13:56 EST by CoreDump
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 16:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CoreDump 2002-01-12 13:56:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-0.8 i686)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
   > # /usr/sbin/pwck `perl -e 'print "X"x3000'`
   > Segmentation Fault (core dumped)
	

Additional info:
Comment 1 CoreDump 2004-08-03 16:41:59 EDT
FYI: shadow-utils 4.0.3-6 and probably later versions don't contain
the bug.
Comment 2 Eido Inoue 2004-09-23 16:16:22 EDT
fixed in 4.0.3

Note You need to log in before you can comment on or make changes to this bug.